Résoudre ‘Pods-Runner’ target has transitive dependencies that include statically linked binaries

Edit du 14 novembre 2020: il semble que vous puissiez parer directement le problème en supprimant le document ~/ios/flutter/flutter.framework. Ensuite lancez le terminal et tapez: flutter build ios

Lors du build, vous pouvez rencontrer ce problème:

The ‘Pods-Runner’ target has transitive dependencies that include statically linked binaries

Ce problème vient du fait qu’il y a une erreur dans les pods de votre projet.

Pour résoudre ce problème:

  1. Ouvrer le fichier Runner.xcodeproj et développer le fichier runner en vous assurant qu’aucun fichier n’apparaisse en rouge (hormis sous votre fichier products). Sinon remplacez les fichiers manquants.
  2. Ouvrer votre terminal et tapez: flutter clean
  3. Puis toujours dans le terminal: cd ios
  4. Entrer pod deintegrate
  5. Tapez rm Podfile puis rm Podfile.lock
  6. Toujours dans le terminal entrez: flutter build ios

L’ensemble de vos fichiers pods et dépendances devraient alors être automatiquement ajoutés et votre build terminé. Le problème: ‘Pods-Runner’ target has transitive dependencies that include statically linked binaries ne reviens plus.

Laisser un commentaire